# propka.version

## Version-based configuration

Contains version-specific methods and parameters.

TODO - this module unnecessarily confuses the code. Can we eliminate it?

Classes

`ElementBasedLigandInteractions`(parameters) | TODO - figure out what this is.
`Propka30`(parameters) | Version class for PROPKA 3.0.
`SimpleHB`(parameters) | A simple hydrogen bond version.
`Version`(parameters) | Store version-specific methods and parameters.
`VersionA`(parameters) | TODO - figure out what this is.

class propka.version.ElementBasedLigandInteractions(parameters)

  TODO - figure out what this is.

  get_backbone_hydrogen_bond_parameters(backbone_atom, atom)

    Get hydrogen bond parameters between backbone atom and other atom.

    Parameters:

      - backbone_atom – backbone atom

      - atom – other atom

    Returns

      [v, [c1, c3]] TODO - figure out what this is

  get_hydrogen_bond_parameters(atom1, atom2)

    Get hydrogen bond parameters for two atoms.

    Parameters:

      - atom1 – first atom

      - atom2 – second atom

    Returns:

      [dpka_max, cutoff]

class propka.version.Propka30(parameters)

  Version class for PROPKA 3.0.

  get_hydrogen_bond_parameters(atom1, atom2)

    Get hydrogen bond parameters for two atoms.

    Parameters:

      - atom1 – first atom

      - atom2 – second atom

    Returns:

      [dpka_max, cutoff]

class propka.version.SimpleHB(parameters)

  A simple hydrogen bond version.

  get_backbone_hydrogen_bond_parameters(backbone_atom, atom)

    Get hydrogen bond parameters between backbone atom and other atom.

    Parameters:

      - backbone_atom – backbone atom

      - atom – other atom

    Returns

      [v, [c1, c3]] TODO - figure out what this is

  get_hydrogen_bond_parameters(atom1, atom2)

    Get hydrogen bond parameters for two atoms.

    Parameters:

      - atom1 – first atom

      - atom2 – second atom

    Returns:

      [dpka_max, cutoff]

class propka.version.Version(parameters)

  Store version-specific methods and parameters.

  calculate_backbone_reorganization(conformation)

    Calculate backbone reorganization using assigned model.

  calculate_coulomb_energy(distance, weight)

    Calculate Coulomb energy using assigned model.

  calculate_desolvation(group)

    Calculate desolvation energy using assigned model.

  calculate_pair_weight(num_volume1, num_volume2)

    Calculate pair weight using assigned model.

  calculate_side_chain_energy(distance, dpka_max, cutoff, _, f_angle)

    Calculate sidechain energy using assigned model.

  check_coulomb_pair(group1, group2, distance)

    Check Coulomb pair using assigned model.

  check_exceptions(group1, group2)

    Calculate exceptions using assigned model.

  electrostatic_interaction(group1, group2, distance)

    Calculate electrostatic energy using assigned model.

  static empty_function(*args)

    Placeholder function so we don’t use uninitialized variables.

    Parameters:

      args – whatever arguments would have been passed to the function

    Raises:

      NotImplementedError –

  get_hydrogen_bond_parameters(atom1: Atom, atom2: Atom) → tuple

    Get hydrogen bond parameters for two atoms.

  hydrogen_bond_interaction(group1, group2)

    Calculate H-bond energy using assigned model.

  setup_bonding(molecular_container)

    Setup bonding using assigned model.

  setup_bonding_and_protonation(molecular_container)

    Setup bonding and protonation using assigned model.

class propka.version.VersionA(parameters)

  TODO - figure out what this is.

  get_backbone_hydrogen_bond_parameters(backbone_atom, atom)

    Get hydrogen bond parameters between backbone atom and other atom.

    Parameters:

      - backbone_atom – backbone atom

      - atom – other atom

    Returns

      [v, [c1, c3]] TODO - figure out what this is

  get_hydrogen_bond_parameters(atom1, atom2)

    Get hydrogen bond parameters for two atoms.

    Parameters:

      - atom1 – first atom

      - atom2 – second atom

    Returns:

      [dpka_max, cutoff]